Method: projects.locations.storagePools.restoreVolume

Restores a backup to an ONTAP-mode volume.

HTTP request


POST https://netapp.googleapis.com/v1alpha1/{name=projects/*/locations/*/storagePools/*}:restoreVolume

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the ONTAP mode storage pool, in the format of projects/{project}/locations/{location}/storagePools/{storagePool}

Request body

The request body contains data with the following structure:

JSON representation
{

  // Union field source can be only one of the following:
  "backupSource": {
    object (BackupSource)
  }
  // End of list of possible types for union field source.

  // Union field target can be only one of the following:
  "ontapVolumeTarget": {
    object (OntapVolumeTarget)
  }
  // End of list of possible types for union field target.
}
Fields
Union field source. The source of the restore operation. source can be only one of the following:
backupSource

object (BackupSource)

The backup source of the restore operation.

Union field target. The target of the restore operation. target can be only one of the following:
ontapVolumeTarget

object (OntapVolumeTarget)

The ONTAP volume target of the restore operation.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • netapp.storagePools.restoreVolume

For more information, see the IAM documentation.

BackupSource

Represents the backup source of the restore operation.

JSON representation
{
  "backup": string,
  "fileList": [
    string
  ]
}
Fields
backup

string

Required. The backup resource name.

fileList[]

string

Optional. List of files to be restored in the form of their absolute path as in source volume. If provided, only these files will be restored. If not provided, the entire backup will be restored (Full Backup Restore)

OntapVolumeTarget

Represents the ONTAP volume target of the restore operation.

JSON representation
{
  "volumeUuid": string,
  "restoreDestinationPath": string
}
Fields
volumeUuid

string

Required. The UUID of the ONTAP volume to restore to.

restoreDestinationPath

string

Optional. Absolute directory path in the destination volume.